/** 
 *  Sample program for Hyper Operating System V4 Advance
 *
 * @file  main.c
 * @brief ᥤؿ
 *
 * @version $Id: main.c,v 1.1.1.1 2006/08/16 16:27:04 ryuz Exp $
 *
 * Copyright (C) 1998-2006 by Project HOS
 * http://sourceforge.jp/projects/hos/
 */


#include "kernel.h"
#include "regs_sh7144.h"

/* ᥤؿ */
int main()
{
        /* ϡɥν */
        *REG_MTU_TSTR = 0x00;  /*Disable MTU*/
	*REG_STANDBY_MSTCR1 = 0xf010;
	*REG_STANDBY_MSTCR2 = 0xc000;
	*REG_PFC_PACRH = 0x0000; /* WRHH WRHL disable */
	*REG_PFC_PACRL1 = 0x0000; /* -RD -WRH -WRL -CS1 disable */
	*REG_PFC_PACRL2 = 0x0145; /* TXD1 RXD1 TXD0 RXD0 are enable */
	*REG_PFC_PBCR1 = 0x0000; /* A21/A20 are disable */
	*REG_PFC_PBCR2 = 0x0000; /*-RDWR-CASH-CASL-RAS A19/A18/A17/16 are disable */
	*REG_PFC_PCCR = 0x0000;	/* A15-0 are disable */
	*REG_PFC_PDCRH1 = 0x0000; /* D31-24 are disable */
	*REG_PFC_PDCRH2 = 0x0000; /* D23-16 are disable */
	*REG_PFC_PDCRL1 = 0x0000; /* D15-0 are disable */
	*REG_PFC_PECRL1 = 0x0000;

	*REG_PFC_PBIOR = 0xffff; /* ݡB ӥåȽ */
	*REG_PFC_PCIOR = 0xfbff; /* ݡC ӥå */
	*REG_PFC_PDIORH = 0xffff; /* ݡD ӥå */
	*REG_PFC_PDIORL = 0xfbff; /* ݡD ӥå */
	*REG_PFC_PEIORL = 0xffff; /* ݡE ӥåȽ */

	*REG_PB_DR = 0xffff; /* ݡB  */


	/* HOS-V4 γ */
	sta_hos();

	return 0;
}


/* end of file */
